(define runtime-files '(config
                         header
                         _errors
                         _eval
                         _mac_ext
                         _multi
                         _nonstd
                         _numbers
                         _ports
                         _std
                         _system))


(define interp-files 
  '(gambit-fix
     gambit-gen
     _back
     _env
     _front
     _gvm
     _host
     _mac_toplevel
     _parms
     _prims
     _ptree1
     _ptree2
     _scheme
     _source
     _t-m68k-1
     _t-m68k-2
     _utils))

(define (find-runtime-sources simbolo)
  (find-symbol-in-files simbolo
                      (string-append gambit-path "runtime (.scm & .s):")
                      runtime-files ".scm"))

(define (find-interp-sources simbolo)
  (find-symbol-in-files simbolo
                      (string-append gambit-path "interp/comp (.scm & .o):")
                      interp-files ".scm"))
