;(require 'windows)
;(require 'menus)


(define (show-classes)
  (mac#edit (string-append gambit-path "SimmerV1.01:simmer.doc:sim.class")))
(define (show-generics)
  (mac#edit (string-append gambit-path "SimmerV1.01:simmer.doc:sim.generics")))
(define (show-all)
  (mac#edit (string-append gambit-path "SimmerV1.01:simmer.doc:sim.doc")))


(define simmer-menu
  (instantiate menubar
     :to-delete '()
     :menus
     (list (instantiate Menu
                  :string "Simmer"
                  :menuItems
                  (list 
                    (instantiate menuItem
                                 :string "Show classes"
                                 :action Show-classes)
                    (instantiate menuitem
                                 :string "Show generics"
                                 :action Show-generics)
                    (instantiate menuitem
                                 :string "Show all defs"
                                 :action Show-all)
                    (instantiate menuitem
                                 :string "_____________"
                                 :action (lambda()#f))
                    (instantiate menuItem
                                 :string "Show results-menu"
                                 :action 
                                 (lambda()(initialize-menus-to *results*)))
                    (instantiate menuItem
                                 :string "Hide results-menu"
                                 :action 
                                 (lambda()
                                   (if (menubar-installed *results*)
                                     (reset *results*))))
                    (instantiate menuItem
                                 :String "End"
                                 :action 
                                 (lambda()
                                   (if (menubar-installed *results*)
                                     (reset *results*))
                                   (reset simmer-menu))))))))

(initialize-menus-to simmer-menu)

