;; SImmerPoints
;; Points of two varieties

;-----------------------------A useful object : an ordered pair-----------
(define-class point object ((= x) (= y)))

; A discontinuity point specifies a jump. x, y are the coordinates of the point
; yminus is the limit on the left coordinate x. The point specifes a jump which
; is continuous from the right, i.e. the value of the function at x is y, and
; the value of the function at x-epsilon is yminus.

(define-method (object<? (x point)(y point))
   (< (point-x x)(point-x y)))
(define-class discontinuity-point point 
  ((= yminus :maybe-uninitialized)))

(define-method (->discontinuity-point (aP point))
  (make-discontinuity-point (point-x aP) (point-y aP) 0))


;;------------------------------------------------------------------------